function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_default"
end

function p.__main()
    set_default_block("s")

    -- Setting the random seed based on only
    -- the x and y components of the chunk path.
    srand(seed_xy())

    -- Creating shafts.
    for i = 1,10 do
        x = randi(1,14)
        y = randi(1,14)
        create_rect("e", x,y,0, x,y,15)
    end
end
